"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const redis_1 = __importDefault(require("redis"));
const Logger_1 = __importDefault(require("./Logger"));
class Redis {
    constructor(argv, config) {
        this.client = redis_1.default.createClient(argv.redis || config.defaults.redisConfig);
        this.client.on('error', function (err) {
            Logger_1.default.error(err.message);
            process.exit(1);
        });
    }
}
exports.default = Redis;
//# sourceMappingURL=Redis.js.map