export declare function sanitize_all(argv: any): Promise<void>;
export declare function sanitize_speed(_speed: any): void;
export declare function sanitize_mwUrl(mwUrl: string): Promise<void>;
export declare function sanitize_adminEmail(adminEmail: any): void;
export declare function sanitize_redis(argv: any): void;
export declare function sanitize_customZimFavicon(customZimFavicon: any): Promise<void>;
/**
 * Search for the customFlavour in the following order
 *
 * 1. Current directory in which command has been run
 * 2. mwoffliner's extensions directory
 * 3. absolute path(for root folder)
 *
 * Note: CustomFlavour doesn't necessarily need be given with extension(.js)
 * like --customFlavour=wiktionary_fr. Hence, .js is explicitly added for
 * path resolution.
 */
export declare function sanitize_customFlavour(customFlavour: string): string;
