import { RedisKvs } from './util/RedisKvs';
import { RedisClient } from 'redis';
export declare function populateFilesToDownload(redisClient: RedisClient): void;
export declare let filesToDownloadXPath: RedisKvs<{
    url: string;
    namespace?: string;
    mult?: number;
    width?: number;
}>;
export declare function populateFilesToRetry(redisClient: RedisClient): void;
export declare let filesToRetryXPath: RedisKvs<{
    url: string;
    namespace?: string;
    mult?: number;
    width?: number;
}>;
export declare function populateArticleDetail(redisClient: RedisClient): void;
export declare let articleDetailXId: RedisKvs<ArticleDetail>;
export declare function populateRedirects(redisClient: RedisClient): void;
export declare let redirectsXId: RedisKvs<{
    targetId: string;
    title: string;
}>;
