import Downloader from '../Downloader';
import { RedisKvs } from './RedisKvs';
import Redis from '../Redis';
export declare function getCategoriesForArticles(articleStore: RedisKvs<ArticleDetail>, downloader: Downloader, redis: Redis, deleteArticleStore?: boolean): Promise<void>;
export declare function trimUnmirroredPages(downloader: Downloader): Promise<number>;
export declare function simplifyGraph(downloader: Downloader): Promise<{
    deletedNodes: number;
}>;
