"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WEBP_HANDLER_URL = exports.DO_PROPAGATION = exports.ALL_READY_FUNCTION = exports.DEFAULT_WIKI_PATH = exports.WEBP_CANDIDATE_IMAGE_MIME_TYPE = exports.BITMAP_IMAGE_MIME_REGEX = exports.WEBP_CANDIDATE_IMAGE_URL_REGEX = exports.WEAK_ETAG_REGEX = exports.DELETED_ARTICLE_ERROR = exports.DB_ERROR = exports.FIND_HTTP_REGEX = exports.IMAGE_MIME_REGEX = exports.CONCURRENCY_LIMIT = exports.MIN_IMAGE_THRESHOLD_ARTICLELIST_PAGE = exports.IMAGE_URL_REGEX = exports.WIKIHIERO_IMAGE_URL_REGEX = exports.LATEX_IMAGE_URL_REGEX = exports.IMAGE_THUMB_URL_REGEX = void 0;
exports.IMAGE_THUMB_URL_REGEX = /^.*\/[0-9a-fA-F]{1}\/[0-9a-fA-F]{2}\/([^/]+\/)?(\d+px[-]+)?(.+?\.[A-Za-z0-9]{2,6}(\.[A-Za-z0-9]{2,6})?)$/;
exports.LATEX_IMAGE_URL_REGEX = /^.*\/math\/render\/svg\/([A-Za-z0-9]+)$/;
exports.WIKIHIERO_IMAGE_URL_REGEX = /^.*\/wikihiero\/img\/(.*\.png)(\?.*)?$/;
exports.IMAGE_URL_REGEX = /(https?:\/\/.*\.(?:jpg|gif|png|svg|jpeg)(\?.*)?)/i;
exports.MIN_IMAGE_THRESHOLD_ARTICLELIST_PAGE = 10;
exports.CONCURRENCY_LIMIT = 10;
exports.IMAGE_MIME_REGEX = /^image+[/-\w.]+$/;
exports.FIND_HTTP_REGEX = /^(?:https?:\/\/)?/i;
exports.DB_ERROR = 'internal_api_error_DBQueryError';
exports.DELETED_ARTICLE_ERROR = 'Article has been deleted.';
exports.WEAK_ETAG_REGEX = /^(W\/)/;
exports.WEBP_CANDIDATE_IMAGE_URL_REGEX = /(\.jpeg|\.png|\.jpg)(\?.*)?$/i;
exports.BITMAP_IMAGE_MIME_REGEX = /^image+[/-\w.]+(jpeg|png|gif)$/;
exports.WEBP_CANDIDATE_IMAGE_MIME_TYPE = /image+[/]+(jpeg|png)/;
exports.DEFAULT_WIKI_PATH = 'wiki/';
exports.ALL_READY_FUNCTION = /function allReady\( modules \) {/;
exports.DO_PROPAGATION = /mw\.requestIdleCallback\( doPropagation, \{ timeout: 1 \} \);/;
exports.WEBP_HANDLER_URL = 'https://gist.githubusercontent.com/rgaudin/60bb9cc6f187add506584258028b8ee1/raw/9d575b8e25d67eed2a9c9a91d3e053a0062d2fc7/web-handler.js';
//# sourceMappingURL=const.js.map